Subject: bug#34842: 26.1; Alist documentation: let-alist

From: Sebastián Monía <[email-masked]>
Date: Thu, 14 Mar 2019 04:47:05 +0000

I think when it says nested let-alist uses, it refers to the fact that let-alist automatically went to the next level of depth to provide a binding for .title

Without that feature you would need a second let-alist: (let-alist .company # more code here)

Sorry for the lack of formatting I'm on mobile. Hope that made sense!

---------------------------------------------------
Why Emacs?
http://david.rothlis.net/emacs/why.html

From: Drew Adams
Sent: Wednesday, March 13, 11:51 AM
Subject: RE: bug#34842: 26.1; Alist documentation: let-alist
To: Sebastián Monía, [email-masked]

Thanks for filing the bug, BTW. > I thought that the example in the docstring was > too long compared to the smaller/simpler examples > in the rest of the page, but wouldn't be against > using that instead if it's more clear. The example could be shorter, yes. But it needs to be correct and show what `let-alist' does. > The nested access example is in .site.contents, But the doc talks about nested uses of `let-alist'. There is only one `let-alist' in the example that the doc claims shows the behavior of nesting `let-alist'.